Skip to main content
`Ctrl`+`K`

# PetscUnpoisonMemoryRegion

Unpoison a previously poisoned memory region

## Synopsis

    static inline PetscErrorCode PetscUnpoisonMemoryRegion(const void *ptr, size_t size)

## Input Parameters

- ptr - The pointer to the start of the region

- size - The size (in bytes) of the region to unpoison

## Notes

Removes poisoning from a previously poisoned region. `ptr` may not be `NULL`. It is OK to unpoison an unpoisoned region.

See `PetscPoisonMemoryRegion()` for example usage and further discussion.

## See Also

`PetscPoisonMemoryRegion()`, `PetscIsRegionPoisoned()`

## Level

developer

## Location

include/petsc/private/mempoison.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages